Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.io.filters
Class SSIProcessor

    java.lang.Object
      com.ejie.r01f.io.filters.SSIProcessor

public class SSIProcessor
extends java.lang.Object

Clase que parsea un documento HTML y obtiene includes SSI embebidos en el propio documento. Ejemplo de HTML con SSI:

# Una página con XML dataIslands

Aqui esto vuelve a ser html

## Esto es html

##

Se trata de una implementación simple de un parseador de directivas SSI de apache pero a nivel de servidor de aplicaciones java Ejemplo: Map newDataIslandsValues = new HashMap(); newDataIslandsValues.put("di1","[nuevo XML del dataIsland di1"); newDataIslandsValues.put("di2","[nuevo XML del dataIsland di2"); XMLDataIslandsInHTMLReplacer diReplacer = new XMLDataIslandsInHTMLReplacer(); int replacedCount = diReplacer.findXMLDataIslandsInDocument( new StringReader(doc) ); System.out.println(diReplacer.getReplacedDocument());

Constructor Summary
`SSIProcessor()` Constructor vacío
`SSIProcessor(int maxDirectiveChars)` Constructor estableciendo el número máximo de caracteres de la directiva, por defecto son 255 caracteres.

Method Summary
`static void` | `main(java.lang.String[] args)` Main Method
`java.lang.String` | `parseDocument(java.io.Reader r)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIProcessor

    public SSIProcessor()

  Constructor vacío

### SSIProcessor

    public SSIProcessor(int maxDirectiveChars)

  Constructor estableciendo el número máximo de caracteres de la directiva, por defecto son 255 caracteres.

Parameters:
  `maxDirectiveChars` - número máximo de caracteres de la directiva.

Method Detail

### parseDocument

    public java.lang.String parseDocument(java.io.Reader r)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD